//--------------------------------------------------------------
// File     : main.c
// Datum    : 07.03.2013
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.0
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der I2C-LoLevel-Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_i2c1.h"

int main(void)
{
  int16_t wert;

  SystemInit(); // Quarz Einstellungen aktivieren

  UB_I2C1_Init(); // Init der I2C1-Schnittstelle

  // ein Byte vom I2C-Slave mit Adr 0xA0
  // aus Register-Adr 0x01 auslesen
  wert=UB_I2C1_ReadByte(0xA0,0x01);
  if(wert<0) {
	 // Fehler
  }

  // den Wert 0x12 zum I2C-Slave mit Adr 0xC0
  // in Register-Adr 0x02 speichern
  wert=UB_I2C1_WriteByte(0xC0,0x02,0x12);
  if(wert<0) {
	 // Fehler
  }

  UB_I2C1_Delay(400); // kleine Pause nach dem schreiben

  while(1)
  {

  }
}
